Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class FXCMTimingIntervalFactory

    java.lang.Object
      com.fxcm.fix.FXCMTimingIntervalFactory

    public class FXCMTimingIntervalFactory

extends Object

Valid codes of FXCMTimingInterval field.

Field Summary
`static IFXCMTimingInterval` | `DAY1` 1 day timing interval
`static IFXCMTimingInterval` | `HOUR1` 1 hour timing interval
`static IFXCMTimingInterval` | `HOUR2` 2-hour timing interval
`static IFXCMTimingInterval` | `HOUR3` 3-hour timing interval
`static IFXCMTimingInterval` | `HOUR4` 4-hour timing interval
`static IFXCMTimingInterval` | `HOUR6` 6-hour timing interval
`static IFXCMTimingInterval` | `HOUR8` 8-hour timing interval
`static IFXCMTimingInterval` | `MIN1` 1 minute timing interval
`static IFXCMTimingInterval` | `MIN15` 15 minutes timing interval
`static IFXCMTimingInterval` | `MIN30` 30 minutes timing interval
`static IFXCMTimingInterval` | `MIN5` 5 minute timing interval
`static IFXCMTimingInterval` | `MONTH1` 1 month timing interval
`static String` | `ROLLOVERTIMEZONECODE`
`static IFXCMTimingInterval` | `TICK` 'Tick' timing interval
`static IFXCMTimingInterval` | `WEEK1` 1 week timing interval

Constructor Summary
`FXCMTimingIntervalFactory()`

Method Summary
`static IFXCMTimingInterval` | `getDBInterval(IFXCMTimingInterval aInterval)`
`static IFXCMTimingInterval` | `getDBTimingInterval(IFXCMTimingInterval aCurInterval, String aDBTimingIntervalCode)`
`static Vector` | `getIntervals()` Obtains list of valuable intervals
`static String` | `getMappedDbIntervalCode(IFXCMTimingInterval aInterval)`
`static int` | `getMappedDbIntervalCodeMultiplier(IFXCMTimingInterval aInterval)`
`static IFXCMTimingInterval` | `getStorageTimingInterval(IFXCMTimingInterval aDBInterval, String aStorageTimingIntervalCode)`
`static Calendar` | `getTradingSessionCalendar()` Obtains Trading Session Calendar that using for truncation
`static int` | `messageToStorageIntervalCode(int aMainCode, String aAuxCode)`
`static void` | `setRolloverTimezoneCode(String aRolloverTimezoneCode)` Overwrites default code of Trading Session Calendar Timezone
`static String[]` | `storageToMessageIntervalCodes(String aStorageCode)`
`static IFXCMTimingInterval` | `toCode(int aNum)` Converts number to code object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROLLOVERTIMEZONECODE

    public static String ROLLOVERTIMEZONECODE

### TICK

    public static final IFXCMTimingInterval TICK

  'Tick' timing interval

### MIN1

    public static final IFXCMTimingInterval MIN1

  1 minute timing interval

### MIN5

    public static final IFXCMTimingInterval MIN5

  5 minute timing interval

### MIN15

    public static final IFXCMTimingInterval MIN15

  15 minutes timing interval

### MIN30

    public static final IFXCMTimingInterval MIN30

  30 minutes timing interval

### HOUR1

    public static final IFXCMTimingInterval HOUR1

  1 hour timing interval

### HOUR2

    public static final IFXCMTimingInterval HOUR2

  2-hour timing interval

### HOUR3

    public static final IFXCMTimingInterval HOUR3

  3-hour timing interval

### HOUR4

    public static final IFXCMTimingInterval HOUR4

  4-hour timing interval

### HOUR6

    public static final IFXCMTimingInterval HOUR6

  6-hour timing interval

### HOUR8

    public static final IFXCMTimingInterval HOUR8

  8-hour timing interval

### DAY1

    public static final IFXCMTimingInterval DAY1

  1 day timing interval

### WEEK1

    public static final IFXCMTimingInterval WEEK1

  1 week timing interval

### MONTH1

    public static final IFXCMTimingInterval MONTH1

  1 month timing interval

Constructor Detail

### FXCMTimingIntervalFactory

    public FXCMTimingIntervalFactory()

Method Detail

### getIntervals

    public static Vector getIntervals()

  Obtains list of valuable intervals

  Returns:
    valuable intervals

### toCode

    public static IFXCMTimingInterval toCode(int aNum)

  Converts number to code object.

  Parameters:
    `aNum` - The one from `FXCMTIMINGINTERVAL_CURRENT_DATA_*` constants
  Returns:
    timing interval object

### getTradingSessionCalendar

    public static Calendar getTradingSessionCalendar()

  Obtains Trading Session Calendar that using for truncation

  Returns:
    Trading Session Calendar

### setRolloverTimezoneCode

    public static void setRolloverTimezoneCode(String aRolloverTimezoneCode)

  Overwrites default code of Trading Session Calendar Timezone

  Parameters:
    `aRolloverTimezoneCode` - code of Calendar Timezone

### getMappedDbIntervalCode

    public static String getMappedDbIntervalCode(IFXCMTimingInterval aInterval)

### getMappedDbIntervalCodeMultiplier

    public static int getMappedDbIntervalCodeMultiplier(IFXCMTimingInterval aInterval)

### getDBTimingInterval

    public static IFXCMTimingInterval getDBTimingInterval(IFXCMTimingInterval aCurInterval,
                                                          String aDBTimingIntervalCode)

### getDBInterval

    public static IFXCMTimingInterval getDBInterval(IFXCMTimingInterval aInterval)

### getStorageTimingInterval

    public static IFXCMTimingInterval getStorageTimingInterval(IFXCMTimingInterval aDBInterval,
                                                               String aStorageTimingIntervalCode)

### messageToStorageIntervalCode

    public static int messageToStorageIntervalCode(int aMainCode,
                                                   String aAuxCode)

### storageToMessageIntervalCodes

    public static String[] storageToMessageIntervalCodes(String aStorageCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.